<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_181) on Mon Apr 01 14:30:46 IST 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>io.mosip.registration.device.scanner.wia (registration-services 0.10.0 API)</title>
<meta name="date" content="2019-04-01">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="io.mosip.registration.device.scanner.wia (registration-services 0.10.0 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../io/mosip/registration/device/scanner/impl/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../../../io/mosip/registration/device/webcam/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?io/mosip/registration/device/scanner/wia/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Package" class="title">Package&nbsp;io.mosip.registration.device.scanner.wia</h1>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Interface Summary table, listing interfaces, and an explanation">
<caption><span>Interface Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Interface</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../io/mosip/registration/device/scanner/wia/ICommonDialog.html" title="interface in io.mosip.registration.device.scanner.wia">ICommonDialog</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../io/mosip/registration/device/scanner/wia/IDevice.html" title="interface in io.mosip.registration.device.scanner.wia">IDevice</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../io/mosip/registration/device/scanner/wia/IDeviceCommand.html" title="interface in io.mosip.registration.device.scanner.wia">IDeviceCommand</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../io/mosip/registration/device/scanner/wia/IDeviceCommands.html" title="interface in io.mosip.registration.device.scanner.wia">IDeviceCommands</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../io/mosip/registration/device/scanner/wia/IDeviceEvent.html" title="interface in io.mosip.registration.device.scanner.wia">IDeviceEvent</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../io/mosip/registration/device/scanner/wia/IDeviceEvents.html" title="interface in io.mosip.registration.device.scanner.wia">IDeviceEvents</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../io/mosip/registration/device/scanner/wia/IDeviceInfo.html" title="interface in io.mosip.registration.device.scanner.wia">IDeviceInfo</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../io/mosip/registration/device/scanner/wia/IDeviceInfos.html" title="interface in io.mosip.registration.device.scanner.wia">IDeviceInfos</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../io/mosip/registration/device/scanner/wia/IDeviceManager.html" title="interface in io.mosip.registration.device.scanner.wia">IDeviceManager</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../io/mosip/registration/device/scanner/wia/IFilter.html" title="interface in io.mosip.registration.device.scanner.wia">IFilter</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../io/mosip/registration/device/scanner/wia/IFilterInfo.html" title="interface in io.mosip.registration.device.scanner.wia">IFilterInfo</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../io/mosip/registration/device/scanner/wia/IFilterInfos.html" title="interface in io.mosip.registration.device.scanner.wia">IFilterInfos</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../io/mosip/registration/device/scanner/wia/IFilters.html" title="interface in io.mosip.registration.device.scanner.wia">IFilters</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../io/mosip/registration/device/scanner/wia/IFormats.html" title="interface in io.mosip.registration.device.scanner.wia">IFormats</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../io/mosip/registration/device/scanner/wia/IImageFile.html" title="interface in io.mosip.registration.device.scanner.wia">IImageFile</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../io/mosip/registration/device/scanner/wia/IImageProcess.html" title="interface in io.mosip.registration.device.scanner.wia">IImageProcess</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../io/mosip/registration/device/scanner/wia/IItem.html" title="interface in io.mosip.registration.device.scanner.wia">IItem</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../io/mosip/registration/device/scanner/wia/IItems.html" title="interface in io.mosip.registration.device.scanner.wia">IItems</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../io/mosip/registration/device/scanner/wia/IProperties.html" title="interface in io.mosip.registration.device.scanner.wia">IProperties</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../io/mosip/registration/device/scanner/wia/IProperty.html" title="interface in io.mosip.registration.device.scanner.wia">IProperty</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../io/mosip/registration/device/scanner/wia/IRational.html" title="interface in io.mosip.registration.device.scanner.wia">IRational</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../io/mosip/registration/device/scanner/wia/IVector.html" title="interface in io.mosip.registration.device.scanner.wia">IVector</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Class Summary table, listing classes, and an explanation">
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../io/mosip/registration/device/scanner/wia/ClassFactory.html" title="class in io.mosip.registration.device.scanner.wia">ClassFactory</a></td>
<td class="colLast">
<div class="block">Defines methods to create COM objects</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Enum Summary table, listing enums, and an explanation">
<caption><span>Enum Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Enum</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaDeviceType.html" title="enum in io.mosip.registration.device.scanner.wia">WiaDeviceType</a></td>
<td class="colLast">
<div class="block">
 The WiaDeviceType enumeration specifies the type of device attached to a user's computer.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaEventFlag.html" title="enum in io.mosip.registration.device.scanner.wia">WiaEventFlag</a></td>
<td class="colLast">
<div class="block">
 A DeviceEvent's type is composed of bits from the WiaEventFlags enumeration.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaImageBias.html" title="enum in io.mosip.registration.device.scanner.wia">WiaImageBias</a></td>
<td class="colLast">
<div class="block">
 The WiaImageBias enumeration helps specify what type of data the image is intended to represent.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaImageIntent.html" title="enum in io.mosip.registration.device.scanner.wia">WiaImageIntent</a></td>
<td class="colLast">
<div class="block">
 The WiaImageIntent enumeration helps specify what type of data the image is intended to represent.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaImagePropertyType.html" title="enum in io.mosip.registration.device.scanner.wia">WiaImagePropertyType</a></td>
<td class="colLast">
<div class="block">
 The WiaImagePropertyType enumeration specifies the type of the value of an image property.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaItemFlag.html" title="enum in io.mosip.registration.device.scanner.wia">WiaItemFlag</a></td>
<td class="colLast">
<div class="block">
 An Item's type is composed of bits from the WiaItemFlags enumeration.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaPropertyType.html" title="enum in io.mosip.registration.device.scanner.wia">WiaPropertyType</a></td>
<td class="colLast">
<div class="block">
 The WiaPropertyType enumeration specifies the type of the value of an item property.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaSubType.html" title="enum in io.mosip.registration.device.scanner.wia">WiaSubType</a></td>
<td class="colLast">
<div class="block">
 The WiaSubType enumeration specifies more detail about the property value.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../io/mosip/registration/device/scanner/impl/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../../../io/mosip/registration/device/webcam/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?io/mosip/registration/device/scanner/wia/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2019. All rights reserved.</small></p>
</body>
</html>
